Core - Task # 55431

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55520 (Resolved): As an User | want to create exports in v. 6.2 and import them in v. 6.2

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-01-29 Assigned To: Marc Bastian Heinrichs
Updated: 2014-03-05 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Impexp: file contents of sys_file are not included in export

Description

Related issues:

related to Core - Bug # 46679: impexp: Import in v6 fails with fal-error Closed 2013-03-26
related to Core - Task # 55532: Impexp: import the binary files being sys_fil... Resolved 2014-01-31
related to Core - Task # 49227: Files missing in import/export Closed 2013-06-18

Associated revisions

Revision bf2817ad - 2014-03-05 20:28 - Marc Bastian Heinrichs

[TASK] Export binary data from sys_file records

Until now files from TCA type group internal_type
file or file_reference were included as binary data in
the export only. Include also the binary data from

sys_file records in a separate array.

Resolves: #55431

Releases: 6.2

Change-Id: 19a1b1f090705f6a42ff34f98ec95b62a3a79c9c1
Reviewed-on: https://review.typo3.org/27364

Reviewed-by: Bernhard Kraft
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History

#1 - 2014-01-31 16:40 - Marc Bastian Heinrichs
- Parent task changed from #54542 to #55520

#2 - 2014-02-05 20:52 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27364
#3 - 2014-02-05 20:54 - Marc Bastian Heinrichs
- Status changed from Under Review to New
- % Done changed from 0 to 80

#4 - 2014-02-05 20:54 - Marc Bastian Heinrichs
- Status changed from New to Under Review

#5 - 2014-02-10 16:55 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27364

#6 - 2014-02-15 12:13 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27364

#7 - 2014-02-18 11:50 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27364

#8 - 2014-02-18 11:52 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27364

#9 - 2014-02-18 12:18 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27364

#10 - 2014-02-24 17:58 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27364

#11 - 2014-02-25 11:49 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27364

#12 - 2014-02-25 13:19 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27364

#13 - 2014-02-27 18:07 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27364

#14 - 2014-03-05 20:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:bf2817ad8ed24c0883eeeb50d11235¢cf31edac8e.
